at.chipkarte.client.gina.soap

## Class ServiceStatusInformation

- Object
- - at.chipkarte.client.gina.soap.ServiceStatusInformation

-     public class ServiceStatusInformation
      extends Object

  Enthält Statusinformationen und gegebenenfalls Hinweise für ein Service.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceStatusInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHinweisAktion()` Hinweistext zur Aktion, die der Benutzer setzen soll, wenn der Verbindungsmodus "OFFLINE" ist.
    `String` | `getHinweisZusatz()` Hinweistext zur Abrechnungsgarantie im Falle des KSE-Service und Verbindungsmodus "OFFLINE".
    `String` | `getModusText()` Modus in Textform (Zum Beispiel: ONLINE, OFFLINE).
    `String` | `getServiceName()` Name des Service in der Form <'Langtext'> (<'Abkürzung'>).
    `Boolean` | `isModus()` Flag zur Kennzeichnung, ob das Service online oder offline ist.
    `void` | `setHinweisAktion(String hinweisAktion)`
    `void` | `setHinweisZusatz(String hinweisZusatz)`
    `void` | `setModus(Boolean modus)`
    `void` | `setModusText(String modusText)`
    `void` | `setServiceName(String serviceName)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceStatusInformation

          public ServiceStatusInformation()

  - ### Method Detail

    - #### getHinweisAktion

          public String getHinweisAktion()

      Hinweistext zur Aktion, die der Benutzer setzen soll, wenn der Verbindungsmodus "OFFLINE" ist.
      Format: maximal 256-stellig
      Returns:
        Aktion-Hinweistext

    - #### setHinweisAktion

          public void setHinweisAktion(String hinweisAktion)

    - #### getHinweisZusatz

          public String getHinweisZusatz()

      Hinweistext zur Abrechnungsgarantie im Falle des KSE-Service und Verbindungsmodus "OFFLINE".
      Format: maximal 256-stellig
      Returns:
        Abrechnungsgarantie-Hinweistext

    - #### setHinweisZusatz

          public void setHinweisZusatz(String hinweisZusatz)

    - #### isModus

          public Boolean isModus()

      Flag zur Kennzeichnung, ob das Service online oder offline ist.
      Returns:
        Online-Kennzeichen

    - #### setModus

          public void setModus(Boolean modus)

    - #### getModusText

          public String getModusText()

      Modus in Textform (Zum Beispiel: ONLINE, OFFLINE).
      Format: maximal 10-stellig
      Returns:
        Modus in Textform

    - #### setModusText

          public void setModusText(String modusText)

    - #### getServiceName

          public String getServiceName()

      Name des Service in der Form <'Langtext'> (<'Abkürzung'>).
      Format: maximal 40-stellig
      Returns:
        Service-Name

    - #### setServiceName

          public void setServiceName(String serviceName)